#332 closed defect (fixed)

libiconv-static refer to libiconv-devel even though there is none

Reported by: jep Owned by:
Priority: major Milestone:
Component: rpm Version:
Severity: low Keywords: libiconv static
Cc:

Description

Is there a devel package of libiconv?

The swedish original error message as displayed by ANPM

[u'FEL med transaktionskontroll mot depsolve:', 'libiconv-devel = 1.15-1.oc00 beh\x94vs av libiconv-static-1.15-1.oc00.i686', u'Rapportera g\xe4rna detta fel till http://trac.netlabs.org/rpm/']

or plain YUM (translated to english by hand)

Error: Package: libiconv-static-1.15-1.oc00.i686 (netlabs-rel)

Need: libiconv-devel = 1.15-1.oc00

Change History (2)

comment:1 Changed 15 months ago by Silvan Scherrer

There is no devel right now. The season is it clashes with libc. We know that and we will fix/change it once.
The static should also not be around. This looks like a package error.

Last edited 14 months ago by Silvan Scherrer (previous) (diff)

comment:2 Changed 13 months ago by Silvan Scherrer

Resolution: fixed
Status: newclosed

the next rpm version will fix than.

Note: See TracTickets for help on using tickets.